Subject: Re: [Beginner] Parsing errors compiling headers
From: "Ed Bradford/Raleigh/IBM" <[email-masked]>
To: "Matt Minnis" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Oct 2000 13:39:48 -0400

If I knew which list to send email to I would try to prevail on the gcc/cpp
owner
to fix the problem. Apparently, it sees
     LF
     CRLF
ok, and
     \LF
ok, but
     \CRLF
gets broken.  It seems like an easy fix. That way people wouldn't have to
worry about
the exact format of header files in /usr/include.

Ed

Your Windows 2000 Arborist
T/L 589-4410; Outside: 1-919-993-4410
[email-masked]

"Matt Minnis" <[email-masked]>@sources.redhat.com on 10/25/2000
03:54:04 PM

Sent by:  [email-masked]

To:   [email-masked]
cc:
Subject:  Re: [Beginner] Parsing errors compiling headers

What I have done to "solve" this problem is use a search/replace of all the
.c & .h files and replacing the CRLF with a LF.
This way I have all I need to work, I don't have to do that much, just run
the script on the directory tree and try it again.

Thanks,

Matt Minnis

At 01:45 PM 10/25/2000, Ed Bradford/Raleigh/IBM wrote:

>I have most often seen the "parse error" on files whith have the CRLF
>problem. Apparently, gcc can adequately parse
>both LF and CRLF except when a macro spans lines. At least that is the
>experience I have had, I could be wrong about precisely
>when it can handle both and when it can't. Regrettably, I solve the
problem
>by copying the header files to the local
>directory and changing the compile line to look in dot ("-I.") during
>compilation. I wish there were a more general solution. The
>problem is some files that end up in /usr/include have LF and some have
>CRLF. The bad thing about all this is that if you
>use diff to try to detect what is wrong, it shows every single line as
>different. That is my general indication that it is the CRLF issue
arising.
>
>Ed
>
>
>Your Windows 2000 Arborist
>T/L 589-4410; Outside: 1-919-993-4410
>[email-masked]
>
>
>Paulius Bulotas <[email-masked]>@sources.redhat.com on 10/25/2000
02:19:31
>PM
>
>Sent by:  [email-masked]
>
>
>To:   "CYGWIN (E-mail)" <[email-masked]>
>cc:
>Subject:  [Beginner] Parsing errors compiling headers
>
>
>
>Hello,
>
>just starting to remember hot to use old good C and tried to compile one
>program (own), using Microsofts supplied header files.
>But i just get a lot of warnings as this:
>//d/PROGRAMs/MSDASDK/INC/sqltypes.h:137: parse error before `SQLHWND'
>and so on and so on.
>everything was done from cmd.exe (not bash and cygwin),
>gcc cmdline: gcc -DWIN32 -I//d/PROGRAMS/MSDASDK/INC
>-L//d/PROGRAMS/MSDASDK/LIB/X86 -lodbc32 -c odbc.c -o odbc -mno-cygwin
>
>I think it's not first such case/question, but somebody help! please ;)
>TIA
>
>Regards,
>Paulius
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

Cthulhu for President. Why settle for a lesser evil?

=========================================================
Preferred Resources          (314) 567-7600 phone
701 Emerson rd.              (314) 993-6699 fax
Suite 475                      [email-masked]
St. Louis, MO
63141
=========================================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]